<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>RuntimeUtil.TimeType</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Enum RuntimeUtil.TimeType" class="title">Enum RuntimeUtil.TimeType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>Enum&lt;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>TimeType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>Serializable</code>, <code>Comparable&lt;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>&gt;</code></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="RuntimeUtil.html" title="class in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil</a></dd>
</dl>
<hr>
<pre>public static enum <span class="typeNameLabel">RuntimeUtil.TimeType</span>
extends Enum&lt;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum Constant</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#ACET">ACET</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#BCET">BCET</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#WCET">WCET</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valueOf(java.lang.String)">valueOf</a></span>&#8203;(String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#values()">values</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Enum</h3>
<code>compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a id="BCET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BCET</h4>
<pre>public static final&nbsp;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a> BCET</pre>
</li>
</ul>
<a id="ACET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACET</h4>
<pre>public static final&nbsp;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a> ACET</pre>
</li>
</ul>
<a id="WCET">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WCET</h4>
<pre>public static final&nbsp;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a> WCET</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="values()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre class="methodSignature">public static&nbsp;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared. This method may be used to iterate
over the constants as follows:
<pre>
for (RuntimeUtil.TimeType c : RuntimeUtil.TimeType.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a id="valueOf(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>valueOf</h4>
<pre class="methodSignature">public static&nbsp;<a href="RuntimeUtil.TimeType.html" title="enum in org.eclipse.app4mc.amalthea.model.util">RuntimeUtil.TimeType</a>&nbsp;valueOf&#8203;(String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
